juzu.template

## Class TemplateExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - juzu.template.TemplateExecutionException

- All Implemented Interfaces:
    Serializable

      public class TemplateExecutionException
      extends RuntimeException

  An exception that denotes a template execution exception.
  Version:
    $Revision$
  Author:
    Julien Viet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateExecutionException(String templateId, juzu.impl.common.Location location, String text, String message, Throwable cause)`
    `TemplateExecutionException(String templateId, juzu.impl.common.Location location, String text, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getLineNumber()`
    `String` | `getMessage()`
    `String` | `getText()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateExecutionException

          public TemplateExecutionException(String templateId,
                                    juzu.impl.common.Location location,
                                    String text,
                                    String message,
                                    Throwable cause)

    - #### TemplateExecutionException

          public TemplateExecutionException(String templateId,
                                    juzu.impl.common.Location location,
                                    String text,
                                    Throwable cause)

  - ### Method Detail

    - #### getText

          public String getText()

    - #### getLineNumber

          public Integer getLineNumber()

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright © 2013 eXo Platform SAS. All rights reserved.